OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
Vrml

# Vrml_MaterialBinding Class Reference

defines a MaterialBinding node of VRML specifying properties of geometry
and its appearance.
Material nodes may contain more than one material. This node specifies how the current
materials are bound to shapes that follow in the scene graph. Each shape node may
interpret bindings differently. For example, a Sphere node is always drawn using the first
material in the material node, no matter what the current MaterialBinding, while a Cube
node may use six different materials to draw each of its six faces, depending on the
MaterialBinding.

`#include <Vrml_MaterialBinding.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_MaterialBinding (const Vrml_MaterialBindingAndNormalBinding aValue)
Standard_EXPORT | Vrml_MaterialBinding ()
Standard_EXPORT void | SetValue (const Vrml_MaterialBindingAndNormalBinding aValue)
Standard_EXPORT Vrml_MaterialBindingAndNormalBinding | Value () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const
## Private Attributes
Vrml_MaterialBindingAndNormalBinding | myValue

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_MaterialBinding::Vrml_MaterialBinding | ( | const Vrml_MaterialBindingAndNormalBinding | aValue | ) |

Standard_EXPORT Vrml_MaterialBinding::Vrml_MaterialBinding | ( |  | ) |

## Member Function Documentation

void Vrml_MaterialBinding::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_MaterialBinding::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_MaterialBinding::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_MaterialBinding::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_MaterialBinding::SetValue | ( | const Vrml_MaterialBindingAndNormalBinding | aValue | ) |

Standard_EXPORT Vrml_MaterialBindingAndNormalBinding Vrml_MaterialBinding::Value | ( |  | ) | const

## Field Documentation

Vrml_MaterialBindingAndNormalBinding Vrml_MaterialBinding::myValue`[private]`

The documentation for this class was generated from the following file:

- Vrml_MaterialBinding.hxx